---
title: "Step 6: Create an ageement revision"
component: pingone-api
page_id: pingone-api:workflow-library:platform-sso-and-authorization/openid-connect-oidc/login-with-agreement-acceptance/environment-configuration/step-6-create-an-agreement-revision
canonical_url: https://developer.pingidentity.com/pingone-api/workflow-library/platform-sso-and-authorization/openid-connect-oidc/login-with-agreement-acceptance/environment-configuration/step-6-create-an-agreement-revision.html
section_ids:
  headers: Headers
  body: Body
  example-request: Example Request
  example-response: Example Response
---

# Step 6: Create an ageement revision

##

   

```none
POST {{apiPath}}/v1/environments/{{envID}}/agreements/{{agreeID}}/languages/{{agreeLangID}}/revisions
```

The `POST {{apiPath}}/v1/environments/{{envID}}/agreements/{{agreementID}}/languages/{{agreeLangID}}/revisions` operation creates a new agreement revision resource in the specified environment. The request body for the `POST` must provide a value for the `effectiveAt`, `requireConsent`, `text`, and `contentType` properties. The `effectiveAt` property uses a Postman script and variable to set the value to "now".

### Headers

Authorization      Bearer {{accessToken}}

Content-Type      application/json

### Body

raw ( application/json )

```json
{
    "effectiveAt": "{{agreeLangRevisionEffectiveAt}}",
    "requireReconsent": true,
    "contentType": "text/html",
    "text": "<b>These Terms</b> and <i>Conditions</i> constitute a legally binding agreement made between you, whether personally or on behalf of an entity ('you') and business entity name] ('we', 'us' or 'our'),concerning your access to and use of the website as well as any other media form, media channel, mobile website or mobile application related, linked, or otherwise connected thereto (collectively, the 'Site').<h1>This is Heading 1</h1> Some text <p>This is a paragraph.</p> "
}
```

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{apiPath}}/v1/environments/{{envID}}/agreements/{{agreeID}}/languages/{{agreeLangID}}/revisions' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{accessToken}}' \
--data '{
    "effectiveAt": "{{agreeLangRevisionEffectiveAt}}",
    "requireReconsent": true,
    "contentType": "text/html",
    "text": "<b>These Terms</b> and <i>Conditions</i> constitute a legally binding agreement made between you, whether personally or on behalf of an entity ('\''you'\'') and business entity name] ('\''we'\'', '\''us'\'' or '\''our'\''),concerning your access to and use of the website as well as any other media form, media channel, mobile website or mobile application related, linked, or otherwise connected thereto (collectively, the '\''Site'\'').<h1>This is Heading 1</h1> Some text <p>This is a paragraph.</p> "
}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/agreements/{{agreeID}}/languages/{{agreeLangID}}/revisions")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
var body = @"{" + "\n" +
@"    ""effectiveAt"": ""{{agreeLangRevisionEffectiveAt}}""," + "\n" +
@"    ""requireReconsent"": true," + "\n" +
@"    ""contentType"": ""text/html""," + "\n" +
@"    ""text"": ""<b>These Terms</b> and <i>Conditions</i> constitute a legally binding agreement made between you, whether personally or on behalf of an entity ('you') and business entity name] ('we', 'us' or 'our'),concerning your access to and use of the website as well as any other media form, media channel, mobile website or mobile application related, linked, or otherwise connected thereto (collectively, the 'Site').<h1>This is Heading 1</h1> Some text <p>This is a paragraph.</p> """ + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/agreements/{{agreeID}}/languages/{{agreeLangID}}/revisions"
  method := "POST"

  payload := strings.NewReader(`{
    "effectiveAt": "{{agreeLangRevisionEffectiveAt}}",
    "requireReconsent": true,
    "contentType": "text/html",
    "text": "<b>These Terms</b> and <i>Conditions</i> constitute a legally binding agreement made between you, whether personally or on behalf of an entity ('you') and business entity name] ('we', 'us' or 'our'),concerning your access to and use of the website as well as any other media form, media channel, mobile website or mobile application related, linked, or otherwise connected thereto (collectively, the 'Site').<h1>This is Heading 1</h1> Some text <p>This is a paragraph.</p> "
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/json")
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
POST /v1/environments/{{envID}}/agreements/{{agreeID}}/languages/{{agreeLangID}}/revisions HTTP/1.1
Host: {{apiPath}}
Content-Type: application/json
Authorization: Bearer {{accessToken}}

{
    "effectiveAt": "{{agreeLangRevisionEffectiveAt}}",
    "requireReconsent": true,
    "contentType": "text/html",
    "text": "<b>These Terms</b> and <i>Conditions</i> constitute a legally binding agreement made between you, whether personally or on behalf of an entity ('you') and business entity name] ('we', 'us' or 'our'),concerning your access to and use of the website as well as any other media form, media channel, mobile website or mobile application related, linked, or otherwise connected thereto (collectively, the 'Site').<h1>This is Heading 1</h1> Some text <p>This is a paragraph.</p> "
}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n    \"effectiveAt\": \"{{agreeLangRevisionEffectiveAt}}\",\n    \"requireReconsent\": true,\n    \"contentType\": \"text/html\",\n    \"text\": \"<b>These Terms</b> and <i>Conditions</i> constitute a legally binding agreement made between you, whether personally or on behalf of an entity ('you') and business entity name] ('we', 'us' or 'our'),concerning your access to and use of the website as well as any other media form, media channel, mobile website or mobile application related, linked, or otherwise connected thereto (collectively, the 'Site').<h1>This is Heading 1</h1> Some text <p>This is a paragraph.</p> \"\n}");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/agreements/{{agreeID}}/languages/{{agreeLangID}}/revisions")
  .method("POST", body)
  .addHeader("Content-Type", "application/json")
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/agreements/{{agreeID}}/languages/{{agreeLangID}}/revisions",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/json",
    "Authorization": "Bearer {{accessToken}}"
  },
  "data": JSON.stringify({
    "effectiveAt": "{{agreeLangRevisionEffectiveAt}}",
    "requireReconsent": true,
    "contentType": "text/html",
    "text": "<b>These Terms</b> and <i>Conditions</i> constitute a legally binding agreement made between you, whether personally or on behalf of an entity ('you') and business entity name] ('we', 'us' or 'our'),concerning your access to and use of the website as well as any other media form, media channel, mobile website or mobile application related, linked, or otherwise connected thereto (collectively, the 'Site').<h1>This is Heading 1</h1> Some text <p>This is a paragraph.</p> "
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'POST',
  'url': '{{apiPath}}/v1/environments/{{envID}}/agreements/{{agreeID}}/languages/{{agreeLangID}}/revisions',
  'headers': {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer {{accessToken}}'
  },
  body: JSON.stringify({
    "effectiveAt": "{{agreeLangRevisionEffectiveAt}}",
    "requireReconsent": true,
    "contentType": "text/html",
    "text": "<b>These Terms</b> and <i>Conditions</i> constitute a legally binding agreement made between you, whether personally or on behalf of an entity ('you') and business entity name] ('we', 'us' or 'our'),concerning your access to and use of the website as well as any other media form, media channel, mobile website or mobile application related, linked, or otherwise connected thereto (collectively, the 'Site').<h1>This is Heading 1</h1> Some text <p>This is a paragraph.</p> "
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests
import json

url = "{{apiPath}}/v1/environments/{{envID}}/agreements/{{agreeID}}/languages/{{agreeLangID}}/revisions"

payload = json.dumps({
  "effectiveAt": "{{agreeLangRevisionEffectiveAt}}",
  "requireReconsent": True,
  "contentType": "text/html",
  "text": "<b>These Terms</b> and <i>Conditions</i> constitute a legally binding agreement made between you, whether personally or on behalf of an entity ('you') and business entity name] ('we', 'us' or 'our'),concerning your access to and use of the website as well as any other media form, media channel, mobile website or mobile application related, linked, or otherwise connected thereto (collectively, the 'Site').<h1>This is Heading 1</h1> Some text <p>This is a paragraph.</p> "
})
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/agreements/{{agreeID}}/languages/{{agreeLangID}}/revisions');
$request->setMethod(HTTP_Request2::METHOD_POST);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Content-Type' => 'application/json',
  'Authorization' => 'Bearer {{accessToken}}'
));
$request->setBody('{\n    "effectiveAt": "{{agreeLangRevisionEffectiveAt}}",\n    "requireReconsent": true,\n    "contentType": "text/html",\n    "text": "<b>These Terms</b> and <i>Conditions</i> constitute a legally binding agreement made between you, whether personally or on behalf of an entity (\'you\') and business entity name] (\'we\', \'us\' or \'our\'),concerning your access to and use of the website as well as any other media form, media channel, mobile website or mobile application related, linked, or otherwise connected thereto (collectively, the \'Site\').<h1>This is Heading 1</h1> Some text <p>This is a paragraph.</p> "\n}');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/agreements/{{agreeID}}/languages/{{agreeLangID}}/revisions")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Post.new(url)
request["Content-Type"] = "application/json"
request["Authorization"] = "Bearer {{accessToken}}"
request.body = JSON.dump({
  "effectiveAt": "{{agreeLangRevisionEffectiveAt}}",
  "requireReconsent": true,
  "contentType": "text/html",
  "text": "<b>These Terms</b> and <i>Conditions</i> constitute a legally binding agreement made between you, whether personally or on behalf of an entity ('you') and business entity name] ('we', 'us' or 'our'),concerning your access to and use of the website as well as any other media form, media channel, mobile website or mobile application related, linked, or otherwise connected thereto (collectively, the 'Site').<h1>This is Heading 1</h1> Some text <p>This is a paragraph.</p> "
})

response = http.request(request)
puts response.read_body
```

```swift
let parameters = "{\n    \"effectiveAt\": \"{{agreeLangRevisionEffectiveAt}}\",\n    \"requireReconsent\": true,\n    \"contentType\": \"text/html\",\n    \"text\": \"<b>These Terms</b> and <i>Conditions</i> constitute a legally binding agreement made between you, whether personally or on behalf of an entity ('you') and business entity name] ('we', 'us' or 'our'),concerning your access to and use of the website as well as any other media form, media channel, mobile website or mobile application related, linked, or otherwise connected thereto (collectively, the 'Site').<h1>This is Heading 1</h1> Some text <p>This is a paragraph.</p> \"\n}"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/agreements/{{agreeID}}/languages/{{agreeLangID}}/revisions")!,timeoutInterval: Double.infinity)
request.addValue("application/json", forHTTPHeaderField: "Content-Type")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "POST"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

201 Created

```json
{
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/agreements/eb89c591-b204-4894-a23c-98170145433d/languages/cd482eb1-31d1-4f97-bb4e-7745deca15a3/revisions/4670c111-1b81-4134-bede-6b14d9a39727"
        },
        "environment": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        },
        "agreement": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/agreements/eb89c591-b204-4894-a23c-98170145433d"
        },
        "language": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/agreements/eb89c591-b204-4894-a23c-98170145433d/languages/cd482eb1-31d1-4f97-bb4e-7745deca15a3"
        },
        "text": {
            "href": "https://uploads2.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/agreements/eb89c591-b204-4894-a23c-98170145433d/languages/cd482eb1-31d1-4f97-bb4e-7745deca15a3/revisions/4670c111-1b81-4134-bede-6b14d9a39727.json"
        }
    },
    "id": "4670c111-1b81-4134-bede-6b14d9a39727",
    "environment": {
        "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
    },
    "agreement": {
        "id": "eb89c591-b204-4894-a23c-98170145433d"
    },
    "language": {
        "id": "cd482eb1-31d1-4f97-bb4e-7745deca15a3"
    },
    "effectiveAt": "2026-04-20T21:27:31.516Z",
    "contentType": "text/html",
    "requireReconsent": true
}
```
